                                %TASK
% Difines the values of the input variables

%--------------------------------------------------------------------------

% CO2 concentration in the air in                                 (mol/m^3)
Cg=NaN;

% CO2 concentration in the air in                                     (ppm)
Cgppm=cell2mat(Dados([13 42],15));
    
% CO2 concentration in the water                                  (mol/m^3)
Cl=NaN;                                                          

% CO2 concentration in the water in equivalent air partial pressure when in
%equilibrium. Optionals: fixed temperature and/or salinity.           (ppm)
Clppm=cell2mat(Dados([13 42],14));

% Significant wave heigth                                               (m)
Hs=cell2mat(Dados([13 42],31));

% Wave length of waves at the peak wave spectrum                        (m)
Lp=cell2mat(Dados([13 42],35));

% Wave period                                                          %(s)
Wp=cell2mat(Dados([13 42],33));

% Monin-Obukhov length L                                                (m)
MO_L=[-14 -100]' ;

% Air pressure                                                        (atm)
P=cell2mat(Dados([13 42],13));

% Salinity                                                            (ppt)
S=cell2mat(Dados([13 42],28));

% Air temperature                                                      (C)
Ta=cell2mat(Dados([13 42],23));

% Water temperature                                                    (C)
Tw=cell2mat(Dados([13 42],27));

% Wind velocity 10 meters above, relative to the surface              (m/s)
u10=cell2mat(Dados([13 42],30));

% Vertical Heat Flux                                             (m.s^-1.K)
vhf=NaN(13,1);

% Water current velocity                                              (m/s)
w=cell2mat(Dados([13 42],22));

% Water depth                                                           (m)
z=cell2mat(Dados([13 42],29));

% Roughness length                                                     (mm)
z0=cell2mat(Dados([13 42],37));

% Atmospheric Stability's alfa
AS_alpha=[3 5]';




