                              %OBJECTIVES

%Estimates the Henry's constant in the Cair/Cliquid form for given
%temperatures (T) and salinities (S).

%--------------------------------------------------------------------------

                               %CALCULUS:
                  %Water temperature on Henry's constant
                            %by Johnson 2010

% Henry's law constant for CO2 in pure water at given temperature                          
kHt=12.1866*kHpc./(Tkw.*exp(tds*(1./Tkw-1/298.15)));               % scalar

%--------------------------------------------------------------------------

                               %CALCULUS:
                     %Salinity on Henry's constant
                           %by Johnson 2010

% Conversion of Henry's law constant to kHcc=Csg/Csl form
kHcc=0.0409*kHpc;                                                  % scalar                     
                     
% Solubility dependent constant of proportionality between Ks and log(Vb)
Theta=7.33532*10^-4+3.39615*10^-5*log(kHcc)-2.40888*10^-6*log(kHcc)^2 ...
      +1.57114*10^-7*log(kHcc)^3;                                  % scalar

% Empirical Setschenow constant for CO2;
Ks=Theta*log(Vb);                                                     % 1/S

% Dimensionless gas-over-liquid form of Henry's law constant:
% Kh=Csg/Csl, where (Csg = Concentration of solute in gas) and 
% (Csl = Concentration of solute in liquid)
kH=kHt.*10.^(Ks.*S_);                                              % scalar
